> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete Client Connection Oauth



## OpenAPI

````yaml /api-reference/openapi.json get /v1/public/client-connection-requests/oauth/callback
openapi: 3.1.0
info:
  title: Diga API
  version: 0.1.0
servers:
  - url: https://api.diga.io
    description: Production
security: []
paths:
  /v1/public/client-connection-requests/oauth/callback:
    get:
      tags:
        - Public Client Connections
      summary: Complete Client Connection Oauth
      operationId: >-
        complete_client_connection_oauth_v1_public_client_connection_requests_oauth_callback_get
      parameters:
        - name: state
          in: query
          required: true
          schema:
            type: string
            maxLength: 1024
            minLength: 1
            title: State
        - name: code
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 16384
              - type: 'null'
            title: Code
        - name: error
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 255
              - type: 'null'
            title: Error
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.